List sweeps | Moov Documentation
List sweeps
List sweeps associated with a wallet.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/wallets/{walletID}/sweeps
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/sweeps" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var walletID string
mc.ListSweeps(ctx, accountID, walletID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.sweeps.list({
accountID: "a227b50c-035d-4b7f-932c-a4b7e02aaf5c",
walletID: "d01e5b34-b207-4a5c-b249-6e049be6a841",
skip: 60,
count: 20,
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListSweepsRequest(
accountID: 'a227b50c-035d-4b7f-932c-a4b7e02aaf5c',
walletID: 'd01e5b34-b207-4a5c-b249-6e049be6a841',
skip: 60,
count: 20,
);
$response = $sdk->sweeps->list(
request: $request
);
if ($response->sweeps !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListSweepsRequest;
import io.moov.sdk.models.operations.ListSweepsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListSweepsRequest req = ListSweepsRequest.builder()
.accountID("a227b50c-035d-4b7f-932c-a4b7e02aaf5c")
.walletID("d01e5b34-b207-4a5c-b249-6e049be6a841")
.skip(60L)
.count(20L)
.build();
ListSweepsResponse res = sdk.sweeps().list()
.request(req)
.call();
if (res.sweeps().isPresent()) {
System.out.println(res.sweeps().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.sweeps.list(account_id="a227b50c-035d-4b7f-932c-a4b7e02aaf5c", wallet_id="d01e5b34-b207-4a5c-b249-6e049be6a841", skip=60, count=20)
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
req = Models::Operations::ListSweepsRequest.new(
account_id: 'a227b50c-035d-4b7f-932c-a4b7e02aaf5c',
wallet_id: 'd01e5b34-b207-4a5c-b249-6e049be6a841',
skip: 60,
count: 20
)
res = s.sweeps.list(request: req)
unless res.sweeps.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
ListSweepsRequest req = new ListSweepsRequest() {
AccountID = "a227b50c-035d-4b7f-932c-a4b7e02aaf5c",
WalletID = "d01e5b34-b207-4a5c-b249-6e049be6a841",
Skip = 60,
Count = 20,
};
var res = await sdk.Sweeps.ListAsync(req);
// handle response
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
Default: 200
Optional parameter to filter by sweep status.
Possible values:
accruing,
action-required,
canceled,
closed,
failed,
paid
Optional string to filter by statement descriptor.
The date-time the sweep stopped accruing transactions.
The date-time the sweep began accruing transactions.
The total net amount of wallet transactions accrued in the sweep.
A 3-letter ISO 4217 currency code.
ID of the payment method.
ID of the payment method.
Amount remaining in the wallet after the sweep transfer completes.
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.
Possible values:
accruing,
action-required,
canceled,
closed,
failed,
paid
The subtotal of each transaction type contributing to the sweep's accrued amount.
Show child attributes
The value of transactions of this type accrued in the sweep.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
The number of transactions of this type accrued in the sweep.
The type of wallet transaction the subtotal is for.
Possible values:
account-funding,
ach-reversal,
auto-sweep,
card-payment,
card-decline,
card-reversal,
cash-out,
dispute,
dispute-reversal,
facilitator-fee,
issuing-refund,
issuing-transaction,
issuing-transaction-adjustment,
issuing-auth-hold,
issuing-auth-release,
issuing-decline,
moov-fee,
payment,
payout,
refund,
refund-failure,
rtp-failure,
top-up,
wallet-transfer,
adjustment,
fee-revenue,
residual,
instant-bank-failure
Amount that is transferred.